/*	Copyright (c) 1991 Richard F. Man.  All rights reserved.
 *	man@labrea.zko.dec.com, P.O. Box 6, North Chelmsford, MA 01863
 *	tabstop=4
 *
 *	$Log: simpwalk.h%v $
 * Revision 1.1  1991/12/08  22:12:48  rfm
 * Initial revision
 *
 *
 */
#define LEGDOWN_CYCLE_TIME			50
#define ALPHA_ADVANCE_CYCLE_TIME	10
#define GAIT_CYCLE_TIME				500

typedef enum { ALPHA_DECR = -1, NEUTRAL, ALPHA_INCR } POSITION;
#define BETA_UP		127
#define BETA_DOWN	-128

#define IS_BETA_UP(x)	!IS_BETA_DOWN(x)
#define IS_BETA_DOWN(x)	((x) < 0)

typedef struct
	{
	char	*inName;
	char	*outName;
	int		servoName;
	} IO_NAME;

extern IO_NAME alphaData[], betaData[];
void alphaPos(void), betaPos(void);

