/*	Copyright (c) 1991 Richard F. Man.  All rights reserved.
 *	man@labrea.zko.dec.com, P.O. Box 6, North Chelmsford, MA 01863
 *	tabstop=4
 *
 *	$Log: stratom.c%v $
 * Revision 1.1  1991/12/08  22:14:03  rfm
 * Initial revision
 *
 *
 */
#include <stdlib.h>
#include <string.h>
#include "exec.h"
#include "stratom.h"

typedef struct string_list
	{
	struct string_list	*next;
	STRING_ATOM			atom;
	char				*string;
	} STRING_LIST;

static STRING_LIST 		*stringList;
static STRING_ATOM		nextAtom;

STRING_ATOM StringToAtom(char *s)
	{
	STRING_LIST *p;

	for (p = stringList; p; p = p->next)
		if (s == p->string || strcmp(s, p->string) == 0)
			break;
	if (!p)
		{
		p = ExecAlloc(sizeof (*p));
		p->atom = ++nextAtom;
		p->string = s;
		p->next = stringList;
		stringList = p;
		}
	return (p->atom);
	}
